ros-jazzy-clearpath-diagnostics (2.6.4-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Tue, 29 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.6.3-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Fri, 18 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.6.2-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Mon, 14 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.6.1-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Mon, 07 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.6.0-1noble) noble; urgency=high

  * Add foxglove dependency (#230 <https://github.com/clearpathrobotics/clearpath_common/issues/230>)
  * Fix/expected diag rates (#227 <https://github.com/clearpathrobotics/clearpath_common/issues/227>)
    * loosen rate window for MCU to allow 1 message to be missed
    * Add lighting category to diagnostics aggregator conditionally
    * Set expected BMS Status rate based on battery type
    * Only create the Odometry category if ekf set true
    * Only create the Networking category if wireless watcher is enabled
    * Configurable tolerance window on diagnostics
    * Monitor estop instead of stop_status if stop status does not exist
    * Safety check for size of the labels lists
    * Add warning on estop status
    * Disable stop status rate by platform
  * Contributors: Hilary Luo, luis-camero

 -- Hilary Luo <hluo@clearpathrobotics.com>  Fri, 04 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.5.1-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Tue, 17 Jun 2025 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.5.0-1noble) noble; urgency=high

  * Allow broad window of BMS message rates (#218 <https://github.com/clearpathrobotics/clearpath_common/issues/218>)
  * Fix/fw version check (#217 <https://github.com/clearpathrobotics/clearpath_common/issues/217>)
    * Add condition for mcu firmware version newer than apt package
    * Clarify wording for checks that are evaluated on boot
  * Fix: Foxglove Bridge Superclient (#214 <https://github.com/clearpathrobotics/clearpath_common/issues/214>)
  * Feature: Foxglove Bridge (#213 <https://github.com/clearpathrobotics/clearpath_common/issues/213>)
    * Add foxglove bridge launch and parameter file
    * Add foxglove bridge parameter to generator
  * Move clearpath_diagnostics to clearpath_common (#211 <https://github.com/clearpathrobotics/clearpath_common/issues/211>)
  * Contributors: Hilary Luo, luis-camero

 -- Hilary Luo <hluo@clearpathrobotics.com>  Thu, 29 May 2025 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.4.0-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Wed, 30 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.3.3-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Thu, 17 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.3.2-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Wed, 16 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.3.1-1noble) noble; urgency=high

  * Remove duplicate and incorrect current / voltage labels (#197 <https://github.com/clearpathrobotics/clearpath_robot/issues/197>)
    The terms "measured voltage" or "measured current" are prepended to these labels where they are used.
  * Contributors: Hilary Luo

 -- Hilary Luo <hluo@clearpathrobotics.com>  Mon, 14 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.3.0-1noble) noble; urgency=high

  * Lint: Diagnostic move log to new line (#191 <https://github.com/clearpathrobotics/clearpath_robot/issues/191>)
  * Fix/estop diagnostics (#184 <https://github.com/clearpathrobotics/clearpath_robot/issues/184>)
  * Feature/clear stale diagnostics (#183 <https://github.com/clearpathrobotics/clearpath_robot/issues/183>)
  * Feature/diagnostic categories (#175 <https://github.com/clearpathrobotics/clearpath_robot/issues/175>)
  * Feature/inventus diagnostics (#170 <https://github.com/clearpathrobotics/clearpath_robot/issues/170>)
  * Contributors: Hilary Luo, Tony Baltovski, Luis Camero

 -- Hilary Luo <hluo@clearpathrobotics.com>  Fri, 11 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.2.4-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Mon, 07 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.2.3-1noble) noble; urgency=high

  * [clearpath_diagnostics] Updated for changes to MCU status message.
  * Contributors: Tony Baltovski

 -- Hilary Luo <hluo@clearpathrobotics.com>  Thu, 20 Mar 2025 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.2.2-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Mon, 17 Mar 2025 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.2.1-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Wed, 12 Mar 2025 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.2.0-1noble) noble; urgency=high

  * Feature/generated agg yaml (#158 <https://github.com/clearpathrobotics/clearpath_robot/issues/158>)
    * Clear out sensor categories that will be generated
    * Improve logging and error handling
    * Correction to dependencies
  * Fix BMS frequency diagnostic (#157 <https://github.com/clearpathrobotics/clearpath_robot/issues/157>)
  * Added Lynx motor driver diagnostics (#149 <https://github.com/clearpathrobotics/clearpath_robot/issues/149>)
    * Removed trailing spaces
    * Added Lynx motor diagnostics
  * Feature/lighting diagnostics (#144 <https://github.com/clearpathrobotics/clearpath_robot/issues/144>)
    * Add lighting diagnostics
    * Remap lighting diagnostic topic
    * Set diagnostic updater hardware id to platform since serial isn't locally available
    * Improve clarity of diagnostic summary text
  * Feature/battery diagnostics (#142 <https://github.com/clearpathrobotics/clearpath_robot/issues/142>)
    * Add missing DiagnosticStatus dependency
    * Monitor BatteryState, Power and StopStatus messages
    * Declare methods before member variables
    * Move the template function to the cpp since it is private
    * Only display error summaries if a message has been received
  * Contributors: Hilary Luo

 -- Hilary Luo <hluo@clearpathrobotics.com>  Tue, 11 Mar 2025 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.1.2-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Fri, 28 Feb 2025 05:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.1.1-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Thu, 06 Feb 2025 05:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.1.0-1noble) noble; urgency=high

  * Feature/diagnostics (#135 <https://github.com/clearpathrobotics/clearpath_robot/issues/135>)
    * Initial port of diagnostics to C++
    * Remap axis camera topics to match API
    * Monitor MCU Status message frequency
    * Added firmware version check
    * Group MCU diagnostics together
    * Improve messaging around firmware versions
    * Disable MCU diagnostics for A200
  * Contributors: Hilary Luo

 -- Hilary Luo <hluo@clearpathrobotics.com>  Fri, 31 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.0.4-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Wed, 22 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.0.3-1noble) noble; urgency=high

  * [clearpath_diagnostics] Fixed version.
  * Contributors: Tony Baltovski

 -- Hilary Luo <hluo@clearpathrobotics.com>  Fri, 17 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.0.2-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Fri, 17 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.0.1-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Fri, 17 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-diagnostics (2.0.0-1noble) noble; urgency=high

  * Fix hard-coded humble packages (#117 <https://github.com/clearpathrobotics/clearpath_robot/issues/117>)
  * Contributors: Chris Iverach-Brereton, Luis Camero, Tony Baltovski

 -- Hilary Luo <hluo@clearpathrobotics.com>  Fri, 17 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-diagnostics (1.1.0-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Wed, 15 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-diagnostics (1.0.1-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Thu, 28 Nov 2024 05:00:00 -0000

ros-jazzy-clearpath-diagnostics (1.0.0-1noble) noble; urgency=high

  * Added minimum version.
  * Remove battery_state from CMakeLists
  * Move battery_state to clearpath_hardware_interfaces
  * Contributors: Luis Camero, Tony Baltovski

 -- Hilary Luo <hluo@clearpathrobotics.com>  Tue, 26 Nov 2024 05:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.3.2-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Fri, 04 Oct 2024 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.3.1-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Mon, 23 Sep 2024 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.3.0-1noble) noble; urgency=high

  * R100 Initial Battry
  * Contributors: Luis Camero, luis-camero

 -- Hilary Luo <hluo@clearpathrobotics.com>  Thu, 19 Sep 2024 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.2.15-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Mon, 12 Aug 2024 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.2.14-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Thu, 08 Aug 2024 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.2.13-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Tue, 30 Jul 2024 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.2.12-1noble) noble; urgency=high

  * Use PathJoinSubstitution for setup_path
  * Contributors: Luis Camero

 -- Hilary Luo <hluo@clearpathrobotics.com>  Mon, 22 Jul 2024 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.2.11-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Tue, 28 May 2024 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.2.10-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Thu, 16 May 2024 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.2.9-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Thu, 16 May 2024 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.2.8-1noble) noble; urgency=high

  * Even more lint errors
  * More linting changes
  * Fixed linting errors
  * Contributors: Luis Camero

 -- Hilary Luo <hluo@clearpathrobotics.com>  Tue, 14 May 2024 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.2.7-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Wed, 10 Apr 2024 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.2.6-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Mon, 08 Apr 2024 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.2.5-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Thu, 07 Mar 2024 05:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.2.4-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Fri, 19 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.2.3-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Thu, 18 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.2.2-1noble) noble; urgency=high

  * Get topic without namespace to address duplicate namespacing
  * Contributors: Hilary Luo

 -- Hilary Luo <hluo@clearpathrobotics.com>  Wed, 10 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.2.1-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Mon, 18 Dec 2023 05:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.2.0-1noble) noble; urgency=high

  * Added S1P2 battery configuration
  * Set battery charging status
  * Added dingo to battery state control
  * Added D100 and D150 to generator and battery node
  * Generate lighting node
  * Fixed status message firmware version
  * J100 -> W200
  * Removed shebang
  * Use battery model and configuration from clearpath_config
  * Removed HMI msg, encode Uint8 instead
  * Initial battery control node
  * Renamed to battery_state_estimator
    Added to robot generator
  * Properties, capacity, voltage
    Create pub/sub only for LiION and SLA
  * Added LUT for SLA
  * Battery types and configurations
  * rolling average
  * Initial battery state publisher
  * Pass setup path
  * Get namespace from robot.yaml for diagnostics launch
    Added diagnostics launch to generator
  * Check ros-humble-clearpath-firmware package version
  * Add all sensors
  * Firmware and sensor diagnostics
  * Contributors: Roni Kreinin

 -- Hilary Luo <hluo@clearpathrobotics.com>  Wed, 13 Dec 2023 05:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.1.3-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Wed, 04 Oct 2023 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.1.2-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Wed, 27 Sep 2023 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.1.1-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Mon, 11 Sep 2023 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.1.0-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Thu, 31 Aug 2023 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.0.3-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Tue, 15 Aug 2023 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.0.2-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Tue, 25 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-diagnostics (0.0.1-1noble) noble; urgency=high



 -- Hilary Luo <hluo@clearpathrobotics.com>  Thu, 20 Jul 2023 04:00:00 -0000


